function dy=three_body3d(t,y,flag) 
% odefunct called by newton3d.m
% gives the Newtonian equations for the system Sun-Earth-Moon-Lagrangian
% satellite neglecting Sun's recoil 
% xE, dxE earth's coordinates 
% xM, dxM moon's     " 
% xS, dxS Satellite's coord's 3D version
% 
global GMM	% Newton's constant x Moon's mass
global GME	% Newton's constant x Earth's mass
global GM       % Newton's constant x Sun's mass

GMtot=GME+GMM;

xCM =y(1:3);
xR  =y(4:6);
xSat=y(7:9);

dxCM =y(10:12);
dxR  =y(13:15);
dxSat=y(16:18);

cT=GME/GMtot;
cL=GMM/GMtot;

xL=xCM+xR*cT;
xT=xCM-xR*cL;

FR=newt(xR,GMtot);
FT=newt(xT,GM);
FL=newt(xL,GM);

FCM = -cL*FL-cT*FT;

dy=[
  dxCM;					% velocities
  dxR;
  dxSat;
  FCM;					% force per unit mass
  -FL + FT - FR;
  -newt(xSat+xCM,GM) - newt(xSat+xR*cL,GME) - newt(xSat-xR*cT,GMM)-FCM;
  ];

%-------

function z=newt(x,G)			% Newton's law
z=G*x/norm(x)^3;

